package shell

import (
	"runtime"
	"strings"

	"go.wit.com/log"
)

func Execname(filename string) string {
	if runtime.GOOS != "windows" {
		return filename
	}
	return Path(filename) + ".exe"
}

func Path(filename string) string {
	log.Log(INFO, "Path() START filename =", filename)
	if runtime.GOOS != "windows" {
		log.Log(INFO, "Path() END filename =", filename)
		return filename
	}
	filename = strings.Replace(filename, "/", "\\", -1)
	log.Log(INFO, "Path() END filename =", filename)
	return filename
}
