package shell

// initializes logging and command line options

import (
	"go.wit.com/log"
)

var NOW *log.LogFlag
var INFO *log.LogFlag
var RUN *log.LogFlag
var SSH *log.LogFlag

func init() {
	full := "go.wit.com/lib/gui/shell"
	short := "shell"

	NOW = log.NewFlag("NOW", true, full, short, "temp debugging stuff")
	INFO = log.NewFlag("INFO", false, full, short, "General Info")
	RUN = log.NewFlag("RUN", false, full, short, "Run() info")
	SSH = log.NewFlag("SSH", false, full, short, "ssh() info")
}
